> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Preferences



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json post /api/preferences/save_preferences
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/preferences/save_preferences:
    post:
      tags:
        - preferences
      summary: Set Preferences
      operationId: set_preferences_api_preferences_save_preferences_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SavedPreferencesModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleRequestStatusModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SavedPreferencesModel:
      properties:
        default_stream:
          anyOf:
            - $ref: '#/components/schemas/StreamEndpointModel'
            - type: 'null'
          default:
            host: 192.168.2.1
            port: 5600
        suggest_host:
          type: boolean
          title: Suggest Host
          default: true
        frequency_offset:
          type: number
          title: Frequency Offset
          default: 0
      type: object
      title: SavedPreferencesModel
    SimpleRequestStatusModel:
      properties:
        success:
          type: boolean
          title: Success
          default: true
      type: object
      title: SimpleRequestStatusModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    StreamEndpointModel:
      properties:
        host:
          type: string
          title: Host
        port:
          type: integer
          title: Port
      type: object
      required:
        - host
        - port
      title: StreamEndpointModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````